SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   PostgreSQL Vendors:   postgresql.org
PostgreSQL Bugs Let Remote Authenticated Users Bypass Access Controls and Obtain Potentially Sensitive Information and Let Local Users Modify Files on the Target System
SecurityTracker Alert ID:  1039752
SecurityTracker URL:  http://securitytracker.com/id/1039752
CVE Reference:   CVE-2017-12172, CVE-2017-15098, CVE-2017-15099   (Links to External Site)
Date:  Nov 9 2017
Impact:   Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in PostgreSQL. A local user can modify files on the target system. A remote authenticated user can obtain potentially sensitive information on the target system. A remote authenticated user can bypass access controls.

A local user with the privileges of the database server can create a symbolic link from the $PGLOG file to a critical file on the target system to exploit a flaw in certain non-default startup scripts and modify the target file [CVE-2017-12172.

A remote authenticated user can send specially crafted data to trigger a rowtype mismatch in json{b}_populate_recordset() and cause the target service to crash or disclose potentially sensitive information from memory on the target system [CVE-2017-15098].

A remote authenticated user can bypass access controls on the update path of 'INSERT ... ON CONFLICT DO UPDATE' function [CVE-2017-15099].

Impact:   A local user can modify files on the target system.

A remote authenticated user can obtain potentially sensitive information on the target system.

A remote authenticated user can bypass access controls on the target system.

Solution:   The vendor has issued a fix (9.2.24, 9.3.20, 9.4.15, 9.5.10, 9.6.6, 10.1).

The vendor advisory is available at:

https://www.postgresql.org/about/news/1801/

Vendor URL:  www.postgresql.org/about/news/1801/ (Links to External Site)
Cause:   Access control error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Aug 20 2018 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Authenticated Users Bypass Access Controls and Obtain Potentially Sensitive Information and Let Local Users Modify Files on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 6, 6.7, 7, 7.3, 7.4, and 7.5.
Aug 27 2018 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Authenticated Users Bypass Access Controls and Obtain Potentially Sensitive Information and Let Local Users Modify Files on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 6, 6.7, 7, 7.3, 7.4, and 7.5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC